classification
Title: generation errors in PDF-A4 tags for lib.pdf
Type: Stage:
Components: Documentation Versions: Python 2.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: antoinel, georg.brandl
Priority: normal Keywords:

Created on 2007-04-25 15:20 by antoinel, last changed 2007-08-23 21:22 by georg.brandl. This issue is now closed.

Messages (2)
msg31887 - (view) Author: Antoine LECA (antoinel) Date: 2007-04-25 15:20
I just downloaded 2.5.1, get the "books" from <URL:http://www.python.org/ftp/python/doc/2.5.1/pdf-a4-2.5.1.tar.bz2> and start reading (using Acrobat 5.01 17/09/2002 Spanish _and_ Foxit Reader 1.3 build 0930 if it matters) and I noticed in lib.pdf some bookmarks (right-hand column, "Marcadores" in my localized interface) incorrectly generated, with traces from the LaTeX sources still apparent:

4.8.5 encodings.utf_8_sig — UTF-8 codec with BOM signature
13.3 copy_reg — Register pickle support functions
15.4 dummy_thread — Drop-in replacement for the thread module
15.5 dummy_threading — Drop-in replacement for the threading
module
18.4.3 wsgiref.simple_server – a simple WSGI HTTP server
19.4.1 AU read Objects
19.4.2 AU write Objects
19.5.1 Wave read Objects
19.5.2 Wave write Objects
23.5 test.test_support — Utility functions for tests
26.2 __builtin__ — Built-in objects
26.3 __main__ — Top-level script environment
26.8 __future__ — Future statement definitions
30.8 py_compile — Compile Python source files
36.3 _winreg – Windows registry access

The actual text is correct (the above is a direct copy-and-paste), only the summary bookmarks are wrong; and unfortunately, I cannot copy-and-paste them... The last one shows something like

36.3 unhbox voidb@x penalty @M hskip z@skip unhbox voidb@x .06emvbox {hrule width.3em}discretionary {-}{}{}penalty @M hskip z@skip winreg -- Windows registry access

(at first sight I thought it was semi-crypted, anti-Windows or similar thing :-))

HTH
Antoine
msg55217 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-08-23 21:22
Obsolete; the sources from which these PDFs are generated are no longer
used.
History
Date User Action Args
2007-08-23 21:22:40georg.brandlsetstatus: open -> closed
resolution: out of date
messages: + msg55217
nosy: + georg.brandl
2007-04-25 15:20:40antoinelcreate